package com.ruoyi.system.domain.project;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目设备安装
(最少一条记录)对象 bm_construction_eq
 * 
 * @author ruoyi
 * @date 2021-03-08
 */
public class BmConstructionEq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 项目安装id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long bmProjectId;

    /** 进度(数据字典：1合同、2进场、3安装、4完工)* */
    @Excel(name = "进度(数据字典：合同、进场、安装、完工)*")
    private String eqType;

    /**
     * 进度
     */
    private String eqTypeName;

    /** 照片* */
    @Excel(name = "照片*")
    private String photo;

    public String getEqTypeName() {
        return eqTypeName;
    }

    public void setEqTypeName(String eqTypeName) {
        this.eqTypeName = eqTypeName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBmProjectId(Long bmProjectId) 
    {
        this.bmProjectId = bmProjectId;
    }

    public Long getBmProjectId() 
    {
        return bmProjectId;
    }

    public void setEqType(String eqType) 
    {
        this.eqType = eqType;
    }

    public String getEqType() 
    {
        return eqType;
    }
    public void setPhoto(String photo) 
    {
        this.photo = photo;
    }

    public String getPhoto() 
    {
        return photo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("bmProjectId", getBmProjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("eqType", getEqType())
            .append("photo", getPhoto())
            .toString();
    }
}
